#!/bin/csh -x

env

limit coredumpsize 0
set working_directory = `pwd`

# setenv NCPUS 8

# set start = $3
set start = 10
# cp mparameters mparameters_run

set target      = `grep thresh_refine mparameters_run | awk '{print $2}'`
set thresh      = `grep thresh_reconst mparameters_run | awk '{print $2}'`
set pbc         = `grep PBC mparameters_run | awk '{print $2}'`
set boff        = `grep BOFF mparameters_run | awk '{print $2}'`
set dang        = `grep DANG mparameters_run | awk '{print $2}'`
set itmax       = `grep ITMAX mparameters_run | awk '{print $2}'`
set mode        = `grep MODE mparameters_run | awk '{print $2}'`
set flip        = `grep FLIP mparameters_run | awk '{print $2}'`
set rrec        = `grep res_reconstruction mparameters_run | awk '{print $2}'`
set rref        = `grep res_refinement mparameters_run | awk '{print $2}'`
set rlowref     = `grep res_low_refinement mparameters_run | awk '{print $2}'`
set data_input  = `grep data_input mparameters_run | awk '{print $2}'`
set raw_images1 = `grep raw_images1 mparameters_run | awk '{print $2}'`
set pixel_s     = `grep pixel_size mparameters_run | awk '{print $2}'`
set dstep       = `grep dstep mparameters_run | awk '{print $2}'`
set w_gh        = `grep WGH mparameters_run | awk '{print $2}'`
set kV1         = `grep kV1 mparameters_run | awk '{print $2}'`
set cs          = `grep Cs mparameters_run | awk '{print $2}'`
set xstd        = `grep XSTD mparameters_run | awk '{print $2}'`
set fmag        = `grep FMAG mparameters_run | awk '{print $2}'`
set fdef        = `grep FDEF mparameters_run | awk '{print $2}'`
set fastig      = `grep FASTIG mparameters_run | awk '{print $2}'`
set rbfact      = `grep RBFACT mparameters_run | awk '{print $2}'`
set iewald      = `grep IEWALD mparameters_run | awk '{print $2}'`
set asym        = `grep ASYM mparameters_run | awk '{print $2}'`
set FBEAUT      = `grep FBEAUT mparameters_run | awk '{print $2}'`
set FCREF       = `grep FCREF mparameters_run | awk '{print $2}'`
set ri          = `grep RI mparameters_run | awk '{print $2}'`
set ro          = `grep RO mparameters_run | awk '{print $2}'`
#
cd $SCRATCH
#
\rm ${data_input}_${start}.mrc
\rm ${data_input}_${start}_weights
\rm ${data_input}_${start}_dummy.shft
\rm ${data_input}_${start}_qfactor
\rm ${data_input}_${start}_amplitudes
\rm ${data_input}_${start}_phasediffs
\rm ${data_input}_${start}_pointspread
\rm ${data_input}_$start.res
cp -p ${working_directory}/${data_input}_$start.par ${data_input}_$start.par

time frealign_v8.exe << eot > ${data_input}_mreconstruct_$start.log
M,0,${fmag},${fdef},${fastig},${flip},${iewald},F,F,${FBEAUT},${FCREF},0	!CFORM,IFLAG,FMAG,FDEF,FASTIG,FFLIP,IEWALD,FMATCH,FHIST,FBEAUT,FCREF
${ro},${ri},${pixel_s},${w_gh},${xstd},${pbc},${boff},${dang},${itmax},10	!RO,RI,PSIZE,WGH,XSTD,PBC,BOFF,DANG,ITMAX,IPMAX
1 1 1 1 1								!MASK
1,4339								!IFIRST,ILAST 
${asym}									!ASYM symmetry card
1., ${dstep}, ${target}, ${thresh}, ${cs}, ${kV1}, 0., 0.		!RELMAG,DSTEP,TARGET,THRESH,CS,AKV,TX,TY
${rrec}, ${rlowref},  ${rref}, ${rbfact},				!RREC,RMAX1,RMAX2,RBFACT
${working_directory}/${raw_images1}.mrc
/dev/null
${data_input}_${start}.par
${data_input}_${start}.res
${data_input}_${start}_dummy.shft
0., 0., 0., 0., 0., 0., 0., 0.						!terminator with RELMAG=0.0
${data_input}_${start}.mrc
${data_input}_${start}_weights
${data_input}_${start}_qfactor
${data_input}_${start}_amplitudes
${data_input}_${start}_phasediffs
${data_input}_${start}_pointspread
eot
#
mv ${data_input}_$start.mrc ${working_directory}/.
\rm ${data_input}_${start}_weights
\rm ${data_input}_${start}_dummy.shft
\rm ${data_input}_${start}_qfactor
\rm ${data_input}_${start}_amplitudes
\rm ${data_input}_${start}_phasediffs
\rm ${data_input}_${start}_pointspread
#
date
#
